package passport

import "testing"

// 单元测试

func TestGetUserList(t *testing.T) {
	client, err := NewClient()
	if err != nil {
		t.Error(err)
	}
	req := CreateGetUserListRequest("ws45265737")
	resp, err := client.GetUserList(req)
	if err != nil {
		t.Error(err)
	}
	t.Logf("resp code:%+v", resp.Code)
	t.Logf("resp data:%+v", resp.Data)
}

func TestGetUserRoleList(t *testing.T) {
	client, err := NewClient()
	if err != nil {
		t.Error(err)
	}
	req := CreateGetUserRoleListRequest(63610626, 2850)
	resp, err := client.GetUserRoleList(req)
	if err != nil {
		t.Error(err)
	}
	t.Logf("resp code:%+v", resp.Code)
	t.Logf("resp data:%+v", resp.Data)
}
